﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\BFQC_constraint.sql **/
 EXEC P_ALTERPK 'PK_BFQC_INSPECTIONGROUP', 'T_BFQC_INSPECTIONGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_INSGROUP_NUMBER') CREATE INDEX IDX_BFQC_INSGROUP_NUMBER ON T_BFQC_INSPECTIONGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_BFQC_INSPECTIONGROUP_L', 'T_BFQC_INSPECTIONGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_INSGROUP_L_ID') CREATE INDEX IDX_BFQC_INSGROUP_L_ID ON T_BFQC_INSPECTIONGROUP_L ( FID );


 EXEC P_ALTERPK 'PK_T_BFQC_GROUPMEMBER', 'T_BFQC_GROUPMEMBER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_GROUPMEMBER_ID') CREATE INDEX IDX_BFQC_GROUPMEMBER_ID ON T_BFQC_GROUPMEMBER ( FID );


 EXEC P_ALTERPK 'PK_T_BFQC_INSPECTIONPOINT', 'T_BFQC_INSPECTIONPOINT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_INSPOINT_NUMBER') CREATE INDEX IDX_BFQC_INSPOINT_NUMBER ON T_BFQC_INSPECTIONPOINT ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_BFQC_INSPECTIONPOINT_L', 'T_BFQC_INSPECTIONPOINT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_INSPOINT_ID') CREATE INDEX IDX_BFQC_INSPOINT_ID ON T_BFQC_INSPECTIONPOINT_L ( FID );


 EXEC P_ALTERPK 'PK_BFQC_TRACE', 'T_BFQC_TRACE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TRACE_0') CREATE INDEX IDX_BFQC_TRACE_0 ON T_BFQC_TRACE ( FTASKID );


 EXEC P_ALTERPK 'PK_BFQC_TASKSUBJECT_L', 'T_BFQC_TASKSUBJECT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TASKSUBJECT_L_0') CREATE INDEX IDX_BFQC_TASKSUBJECT_L_0 ON T_BFQC_TASKSUBJECT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BFQC_TASKSUBJECT', 'T_BFQC_TASKSUBJECT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TASKSUBJECT_0') CREATE INDEX IDX_BFQC_TASKSUBJECT_0 ON T_BFQC_TASKSUBJECT ( FID );


 EXEC P_ALTERPK 'PK_BFQC_TASKBILL_L', 'T_BFQC_TASKBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TASKBILL_L') CREATE INDEX IDX_BFQC_TASKBILL_L ON T_BFQC_TASKBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BFQC_TASKBILL', 'T_BFQC_TASKBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TASKBILL_BIND') CREATE INDEX IDX_BFQC_TASKBILL_BIND ON T_BFQC_TASKBILL ( FBINDBILL );


 EXEC P_ALTERPK 'PK_BFQC_TASK_L', 'T_BFQC_TASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TASK_L_0') CREATE INDEX IDX_BFQC_TASK_L_0 ON T_BFQC_TASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BFQC_TASK', 'T_BFQC_TASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TASK_1') CREATE INDEX IDX_BFQC_TASK_1 ON T_BFQC_TASK ( FBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TASK_2') CREATE INDEX IDX_BFQC_TASK_2 ON T_BFQC_TASK ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_TASK_3') CREATE INDEX IDX_BFQC_TASK_3 ON T_BFQC_TASK ( FBIZORG ,FTASKSTATE );


 EXEC P_ALTERPK 'PK_BFQC_SAMPLINGORG', 'T_BFQC_SAMPLINGORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_SAMPLINGORG_2') CREATE INDEX IDX_BFQC_SAMPLINGORG_2 ON T_BFQC_SAMPLINGORG ( FBASEDATAID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_SAMPLINGORG_1') CREATE INDEX IDX_BFQC_SAMPLINGORG_1 ON T_BFQC_SAMPLINGORG ( FID );


 EXEC P_ALTERPK 'PK_BFQC_SAMPLELIB_L', 'T_BFQC_SAMPLELIB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_SAMPLELIB_L_0') CREATE INDEX IDX_BFQC_SAMPLELIB_L_0 ON T_BFQC_SAMPLELIB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BFQC_SAMPLELIB', 'T_BFQC_SAMPLELIB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_SAMPLELIB_0') CREATE INDEX IDX_BFQC_SAMPLELIB_0 ON T_BFQC_SAMPLELIB ( FORG ,FQUALITYSCHEME );


 EXEC P_ALTERPK 'PK_BFQC_QUALITYSCHEME_L', 'T_BFQC_QUALITYSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_QUALITYSCHEME_L_0') CREATE INDEX IDX_BFQC_QUALITYSCHEME_L_0 ON T_BFQC_QUALITYSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BFQC_QUALITYSCHEME', 'T_BFQC_QUALITYSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_QUALITYSCHEME_1') CREATE INDEX IDX_BFQC_QUALITYSCHEME_1 ON T_BFQC_QUALITYSCHEME ( FORGID );


 EXEC P_ALTERPK 'PK_BFQC_QUALITYMSGENTRY', 'T_BFQC_QUALITYMSGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_QUALITYMSGENTRY_1') CREATE INDEX IDX_BFQC_QUALITYMSGENTRY_1 ON T_BFQC_QUALITYMSGENTRY ( FID );


 EXEC P_ALTERPK 'PK_BFQC_QUALITYMSG', 'T_BFQC_QUALITYMSG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_QUALITYMSG_1') CREATE INDEX IDX_BFQC_QUALITYMSG_1 ON T_BFQC_QUALITYMSG ( FPOINT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_QUALITYMSG_2') CREATE INDEX IDX_BFQC_QUALITYMSG_2 ON T_BFQC_QUALITYMSG ( FQUALITYCHECK );


 EXEC P_ALTERPK 'PK_BFQC_FIELDMAP', 'T_BFQC_FIELDMAP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_FIELDMAP_FID') CREATE INDEX IDX_BFQC_FIELDMAP_FID ON T_BFQC_FIELDMAP ( FID );


 EXEC P_ALTERPK 'PK_BFQC_ENTITYSETTINGBTN', 'T_BFQC_ENTITYSETTINGBTN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_ENTITYSETTINGBTN_FID') CREATE INDEX IDX_BFQC_ENTITYSETTINGBTN_FID ON T_BFQC_ENTITYSETTINGBTN ( FID );


 EXEC P_ALTERPK 'PK_BFQC_CPOINTENTRY', 'T_BFQC_CPOINTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_CPOINTENTRY_1') CREATE INDEX IDX_BFQC_CPOINTENTRY_1 ON T_BFQC_CPOINTENTRY ( FID );


 EXEC P_ALTERPK 'PK_BFQC_BILLENTRY', 'T_BFQC_BILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_BILLENTRY_1') CREATE INDEX IDX_BFQC_BILLENTRY_1 ON T_BFQC_BILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_BFQC_ATTACHMENTENTRY', 'T_BFQC_ATTACHMENTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_ATMENTENTRY') CREATE INDEX IDX_BFQC_ATMENTENTRY ON T_BFQC_ATTACHMENTENTRY ( FID );


 EXEC P_ALTERPK 'PK_BFQC_ATTACHMENT', 'T_BFQC_ATTACHMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BFQC_ATMENT_FTASKID') CREATE INDEX IDX_BFQC_ATMENT_FTASKID ON T_BFQC_ATTACHMENT ( FTASKID );



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\BFQC_constraint.sql **/
